Recommended Posts

Hi,

also langsam bringt mich Winrar zum verzeifeln, vorhin hat noch alles geklappt und jetzt nicht mehr.

Habe jetzt mal das Achriv als .zip gepackt und hat grad wieder geklappt.

Download

~sLy.

Diesen Beitrag teilen


Link zum Beitrag
Auf anderen Seiten teilen

Bei Version 1.8 am besten alle + die Datenbank Tabelle wi_book und wi_user Löschen, da dort eine Funktion hinzugekommen ist. Dann einfach das Script normal Installieren.

Werde bei der nähsten Version ein Update bereitstellen, das man nicht wieder die Datenbank leeren muss.. Tut mir leid :(

Diesen Beitrag teilen


Link zum Beitrag
Auf anderen Seiten teilen

V1.0 FINAL OUT NOW!!!!

Download: Webinterface 1.0 Platinum FULL

Download: Webinterface 1.0 Platinum Update from 1.8

Changelog:

* index.php:

- added var $config for config settings

- added debug mode

- constant´s updatet

- added a clock

- added core.class.php

- added query check for invalid request´s

- added round number for maps

- added all banned players

- added reserved slots

- added reserved slots add / delete

* core.class.php:

- added function wi() for check globals

- added function unset_globals() for unset globals

- added function checkQuery() for check the request

- added function getVersion() to get the version from the server

* main.lib.php:

- updatet error array

- added logout html

Download: Webinterface 1.0 Platinum FULL

Download: Webinterface 1.0 Platinum Update from 1.8

Diesmal mit einer Update Version von 1.8.

Diesen Beitrag teilen


Link zum Beitrag
Auf anderen Seiten teilen

Hallo,

Ich hab schon gegoogelt wie ein Weltmeister, um hier nicht zu nerven, leider ohne Erfolg.

Sagt mal gibt es für das Interface ein kleines How To für Dummies oder alte Leute wie mich? :dash2:

Ich bin leider absoluter Rookie bei diesen Dingen.

Wenn ich die install.php aufrufe, bekomme ich immer diese Fehlermeldung:

Warning: require_once(lib/class/db/MySQL.class.php) [function.require-once]: failed to open stream: No such file or directory in /www/htdocs/w00c2d05/interface/install.php on line 23

Fatal error: require_once() [function.require]: Failed opening required 'lib/class/db/MySQL.class.php' (include_path='.:/usr/share/php:..') in /www/htdocs/w00c2d05/interface/install.php on line 23

Gruß, Opi

Diesen Beitrag teilen


Link zum Beitrag
Auf anderen Seiten teilen
Hallo Opi

eine SQL Datenbank hast Du ?

MySQL Version: 5.0.51a

PHP Version: 5.2.12

Ich habe extra eine Datenbank dafür angelegt, habe aber keine Ahnung wo ich die im Webinterface angeben muß. :blush:

bearbeitet von _Opa

Diesen Beitrag teilen


Link zum Beitrag
Auf anderen Seiten teilen

Hello Opa

schreib Dir eine Anleitung, schau einfach mal wieder rein heute kann Abend werden :-)

Edit:

Wollte das auf meinem Testserver installieren um Dir eine Anleitung zu schreiben, ging aber auch ned :kritisch:

Habe dafür auch keine Erklärung.

Normalerweise kommt eine Seite wo Du dann die Angaben der Datenbank eintragen müsstest.

bearbeitet von jmcpit

Diesen Beitrag teilen


Link zum Beitrag
Auf anderen Seiten teilen

Hallo Opa

Gute Nachrichten !!!

1. Variante

Falls Du ein PHP Editor hast, öffne die install.php und gehe zu Zeile 23

und ersetze die Variable mit dieser hier -> require_once('lib/class/DB/MySQL.class.php');

2. Variante

gehe ins Verzeichnis \interface\lib\class ändere dort denn Ordner DB in db um.

dann geht es. :D

Falls noch fragen sind, einfach wieder melden B)

Diesen Beitrag teilen


Link zum Beitrag
Auf anderen Seiten teilen

Wow! Funzt!

Vielen, Dank jmcpit! :daumenhoch:

Allerdings bekomme ich jetzt noch folgende Fehlermeldung bei der Installation:

fehler.png

Als Host habe ich localhost eingetragen?

Gruß, Opi

bearbeitet von _Opa

Diesen Beitrag teilen


Link zum Beitrag
Auf anderen Seiten teilen
Als Host habe ich localhost eingetragen?

Gruß, Opi

Hallo Opa

Schön zu hören das es soweit geht :yiiiiha: Versuch mal anstatt "localhost" denn Namen des Host einzutragen ist eben von Provider zu Provider verschieden. Wenn Du ihn nicht weisst, musst Du halt dort eine Anfrage machen.

bearbeitet von jmcpit

Diesen Beitrag teilen


Link zum Beitrag
Auf anderen Seiten teilen

Hi,

entschudigung erstmal das ich erst jetzt Antworte *schäm*..

Zum Fehler 1:

Warning: require_once(lib/class/db/MySQL.class.php) [function.require-once]: failed to open stream: No such file or directory in /www/htdocs/w00c2d05/interface/install.php on line 23

Einfach in den Ordner lib/class gehen und den Ordner DB in db umbennen. Dann sollte es gehen.

Zum Fehler 2:

Das Script sagt, das du keine Rechte hast diese Datei mittels fopen zuöffnen. Gehe mal ins Verzeichnis lib/system und gebe der DB.settings.php die Rechte 777 und nach der Installation wieder die normalen Rechte (644).

Beispiel:

apmg4oz8.jpg

MfG

Diesen Beitrag teilen


Link zum Beitrag
Auf anderen Seiten teilen

Super, jetzt bin ich schon wieder einen Schritt weiter.^^

Bis User erstellen bin ich gekommen und dann gibt es leider wieder Fehlermeldungen:

fehler2.png

fehler3.png

Ich hoffe ich bin nicht zu hartnäckig u. fange an zu nerven?

Aber das hier könnte ja auch eine Schritt für Schritt Anleitung werden.^^

Gruß, Opi

bearbeitet von _Opa

Diesen Beitrag teilen


Link zum Beitrag
Auf anderen Seiten teilen

Erstelle ein Benutzerkonto oder melde dich an um zu kommentieren

Du musst ein Benutzerkonto haben um einen Kommentar hinterlassen zu können

Benutzerkonto erstellen

Neues Benutzerkonto für unsere Community erstellen. Geht einfach!

Neues Benutzerkonto erstellen

Anmelden

Du hast bereits ein Benutzerkonto? Melde dich hier an.

Jetzt anmelden


  • Wer ist Online   0 Benutzer

    Keine registrierten Benutzer online.